@echo off
rem The following line says to do the following setup local
setlocal

rem The following .bat file will set up environmental variables such as WAS_HOME, JAVA_HOME, COMPUTERNAME...
call "%~dp0setupCmdLine.bat"

@REM CONSOLE_ENCODING controls the output encoding used for stdout/stderr
@REM    console - encoding is correct for a console window
@REM    file    - encoding is the default file encoding for the system
@REM    <other> - the specified encoding is used.  e.g. Cp1252, Cp850, SJIS

SET CONSOLE_ENCODING=-Dws.output.encoding=console

rem The following command sets up locations to the library files, server root location and runs the WASPostUpgrade command
%JAVA_HOME%\bin\java.exe %CONSOLE_ENCODING% %JAVA_FLAGS% -Djava.ext.dirs=%JAVA_HOME%/lib;%JAVA_HOME%/jre/lib/ext;%WAS_HOME%/classes;%WAS_HOME%/lib;%WAS_HOME%/web/help;%WAS_HOME%/properties -Dcom.ibm.websphere.migration.serverRoot=%WAS_HOME% com.ibm.ws.bootstrap.WSLauncher com.ibm.websphere.migration.postupgrade.WASPostUpgrade %*
endlocal
