@echo off
echo OFF

REM IBM Confidential OCO Source Material
REM 5639-D57 (C) COPYRIGHT International Business Machines Corp. 1996-2002
REM The source code for this program is not published or otherwise divested
REM of its trade secrets, irrespective of what has been deposited with the
REM U.S. Copyright Office.
REM
REM   IBM DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
REM   ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
REM   PURPOSE. IN NO EVENT SHALL IBM BE LIABLE FOR ANY SPECIAL, INDIRECT OR
REM   CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
REM   USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
REM   OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
REM   OR PERFORMANCE OF THIS SOFTWARE.

SetLocal
@echo off

Set REl=was40
Set PTFNUM=ptf_2
set COPYCMD=/Y
set F_JDK_HOME=java

:check_java_home
if exist %F_JDK_HOME%\jre\bin\java.exe  goto uninstall

:prompt_java_home
GetInput F_JDK_HOME "Enter the directory where the IBM JDK or JRE is installed: " ~jdkhome.bat
call ~jdkhome.bat
del ~jdkhome.bat
goto check_java_home


:uninstall
GetInput F_CONFIRM "Uninstall IBM WebSphere Application Server %PTFNUM% (Yes/No)? " ~confirm.bat
call ~confirm.bat
del ~confirm.bat
if /I (%F_CONFIRM%) == (y)   goto wasptf
if /I (%F_CONFIRM%) == (yes) goto wasptf
rem goto prompt_ihs
if /I (%F_CONFIRM%) == (n)  goto prompt_ihs
if /I (%F_CONFIRM%) == (NO) goto prompt_ihs
goto uninstall


:wasptf
echo off
echo             Uninstalling the WebSphere Application Server 4.0 %PTFNUM%

if exist %REL%_ae_%PTFNUM%_backup.jar  %F_JDK_HOME%\jre\bin\java -jar %REL%_ae_%PTFNUM%_backup.jar
if exist %REL%_aes_%PTFNUM%_backup.jar %F_JDK_HOME%\jre\bin\java -jar %REL%_aes_%PTFNUM%_backup.jar

REM Uninstall J2C PTF if it exists
REM %F_JDK_HOME%\bin\java -jar J2C_%PTFNUM%_backup.jar
if exist J2C_%PTFNUM%_backup.jar call uninstallJ2C.bat

:prompt_ihs
GetInput F_CONFIRM "Uninstall IBM HTTP Server 1.3.19 %PTFNUM% (Yes/No)? " ~confirm.bat
call ~confirm.bat
del ~confirm.bat
if /I (%F_CONFIRM%) == (y)   goto ihsptf
if /I (%F_CONFIRM%) == (yes) goto ihsptf
rem goto jdk_prompt
if /I (%F_CONFIRM%) == (n)  goto jdk_prompt
if /I (%F_CONFIRM%) == (NO) goto jdk_prompt
goto prompt_ihs

:ihsptf
echo off
echo                            Uninstalling the IBM HTTP Server PTF
if exist ihs_%PTFNUM%_backup.jar %F_JDK_HOME%\jre\bin\java -jar ihs_%PTFNUM%_backup.jar

REM IBM JDK
:jdk_prompt
GetInput F_CONFIRM "Uninstall IBM JDK PTF (Yes/No)? " ~confirm.bat
call ~confirm.bat
del ~confirm.bat
if /I (%F_CONFIRM%) == (y)   goto jdkptf
if /I (%F_CONFIRM%) == (yes) goto jdkptf

if /I (%F_CONFIRM%) == (n)  goto done
if /I (%F_CONFIRM%) == (no) goto done
goto jdk_prompt

:jdkptf
echo off
echo                            Uninstalling the IBM JDK PTF
md java_%PTFNUM%
if exist jdk_%PTFNUM%_backup.jar %F_JDK_HOME%\jre\bin\java -jar jdk_%PTFNUM%_backup.jar
pause
xcopy java_%PTFNUM%\* %F_JDK_HOME% /s/e/q
rmdir java_%PTFNUM% /S/Q

:done

:exit
